Bug 1872469 - Auth test.Login test.logs out kubeadmin user
Summary: Auth test.Login test.logs out kubeadmin user
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: David Taylor
QA Contact: XiaochuanWang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 20:39 UTC by David Eads
Modified: 2020-09-14 08:43 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Auth test.Login test.logs out kubeadmin user
Last Closed: 2020-08-26 17:51:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Failed to log out kubeadmin user (1.44 MB, image/gif)
2020-08-28 14:44 UTC, David Taylor
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6521 None closed Bug 1872469: Port login tests from protractor to Cypress 2020-09-14 01:04:41 UTC

Description David Eads 2020-08-25 20:39:19 UTC
test:
Auth test.Login test.logs out kubeadmin user 

is failing frequently in CI, see search results:
https://search.ci.openshift.org/?maxAge=168h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job&search=Auth+test%5C.Login+test%5C.logs+out+kubeadmin+user


https://search.ci.openshift.org/?search=logs+out+kubeadmin+user&maxAge=168h&context=1&type=bug%2Bjunit&name=4.6&maxMatches=5&maxBytes=20971520&groupBy=job

@sttts I think I remember seeing some logout chatter go by today.  This seems worth looking at.

Comment 3 Jakub Hadvig 2020-08-26 12:19:28 UTC
Tested the steps manually and haven't found any issue.
There could be an issue with the new Cypress test framework that we integrated.
@Dave could you check the failed TestCase please.

Comment 4 David Taylor 2020-08-26 17:37:54 UTC
I think this might be due to https://bugzilla.redhat.com/show_bug.cgi?id=1869966,  PR fix was merged 22hrs ago: https://github.com/openshift/console/pull/6431.

The auth failure is a protractor test fail.  I do see three flakes of this sort within the last 22 hours, but also merged PRs in the same time period.

Comment 5 David Taylor 2020-08-26 17:51:24 UTC
I believe this is a dup of 1869966

*** This bug has been marked as a duplicate of bug 1869966 ***

Comment 6 Samuel Padgett 2020-08-27 22:54:28 UTC
Reopening. We're still seeing this fairly often even after the fix for bug 1869966 merged.

https://search.ci.openshift.org/?search=logs+out+kubeadmin&maxAge=48h&context=1&type=bug%2Bjunit&name=&maxMatches=5&maxBytes=20971520&groupBy=job

Comment 7 David Taylor 2020-08-28 14:44:03 UTC
Created attachment 1712961 [details]
Failed to log out kubeadmin user

Seems like race condition with dashboard loading

Comment 8 David Taylor 2020-08-28 14:47:51 UTC
Was able to reproduce this locally, pls see attachment 1712961 [details].

Comment 9 David Taylor 2020-08-28 18:11:24 UTC
I was able to reproduce this using a 4.6.0-0.nightly-2020-08-02-134243 cluster.  

The fix (https://github.com/openshift/console/pull/6431) went in on 8/25.  
I am UNABLE to reproduce this using a 4.6.0-0.nightly-2020-08-27 cluster; ran it over 10+ times.

However, ci/prow/e2e-gcp-console is still showing this failure.  I did notice that in finished.json for these failed jobs shows FAILED:

"{"timestamp":1598631020,"passed":false,"metadata":{"infra-commit":"","job-version":"","metadata":null,"pod":"1d42b764-e940-11ea-b553-0a580a800cb9","repo":"operator-framework/operator-marketplace","repo-commit":"","repos":{"operator-framework/operator-marketplace":"master:626a2b965d00865f23aca40081fcb97ad8a22488,336:b5be12c54be8c932b1d8f98f6b0979c39e5dcef8"},"revision":"1","work-namespace":"ci-op-sbdb8s3t"},"result":"FAILURE","revision":"b5be12c54be8c932b1d8f98f6b0979c39e5dcef8"}"

Comment 10 Samuel Padgett 2020-09-02 16:13:21 UTC
Increasing the severity as this is failing nearly 50% of jobs.

Comment 11 Oleg Bulatov 2020-09-07 12:44:13 UTC
According to sippy, 4.6 pass rate dropped from 65.45% to 36.67%.

Comment 12 Bharathi Tenneti 2020-09-09 18:43:08 UTC
The pass rate is right now that 45.71%, Any updates regarding the fix?

Comment 15 XiaochuanWang 2020-09-14 08:43:44 UTC
No new similar errors appear again when Bug fix PR merged 8 hours ago.
So this could be Verified.


Note You need to log in before you can comment on or make changes to this bug.